{
	/**
	 * pagesA ==> tarbar mine下的页面分包
	 * 
	 * pagesB ==> agente 代理分包
	 * 
	 * pagesC ==> pay 支付交易的分包
	 * 
	 * pagesD ==> goods 商店点餐分包
	 */
	"easycom": {
		"^u-(.*)": "uview-ui/components/u-$1/u-$1.vue"
	},
	"pages": [

		{
			"path": "pages/mine/mine",
			"style": {
				"navigationStyle": "custom",
				"navigationBarTitleText": "我的"
			}
		},
		{
			"path": "pages/gain/gain",
			"style": {
				"navigationBarTitleText": "赚积分",
				"enablePullDownRefresh": false
			}

		},

		{
			"path": "pages/consume/consume",
			"style": {
				"navigationStyle": "custom",
				"navigationBarTitleText": "花积分"
			}
		}, {
			"path": "pages/search/search",
			"style": {
				"navigationBarTitleText": "搜索",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/webview/webview",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/consume/detail/shop-detail",
			"style": {
				"navigationBarTitleText": "商户详情",
				"enablePullDownRefresh": false
			}

		},
		{
			"path": "pages/activity/activity",
			"style": {
				"navigationBarTitleText": "活动列表",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/activity/detail",
			"style": {
				"navigationBarTitleText": "活动详情",
				"enablePullDownRefresh": false,
				"navigationStyle": "custom"
			}

		}, {
			"path": "pages/consume/search/search",
			"style": {
				"navigationBarTitleText": "搜索",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/consume/search/list",
			"style": {
				"navigationBarTitleText": "搜索结果",
				"enablePullDownRefresh": false
			}

		}

		, {
			"path": "pages/test/test",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}

		}
	],
	"subPackages": [{
		//tarbar下mine的分包
		"root": "pagesA",
		"pages": [{
			"path": "pages/my-balance/statistics",
			"style": {
				"navigationBarTitleText": "账单统计"
			}
		}, {
			"path": "pages/my-balance/my-balance",
			"style": {
				"navigationBarTitleText": "积分余额",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/setting/pay-setting",
			"style": {
				"navigationBarTitleText": "支付设置",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/setting/question",
			"style": {
				"navigationBarTitleText": "问题反馈",
				"enablePullDownRefresh": false
			}
		}, {
			"path": "pages/setting/setting",
			"style": {
				"navigationBarTitleText": "设置",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/myInfo",
			"style": {
				"navigationBarTitleText": "我的资料",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/my-points/accredit",
			"style": {
				"navigationBarTextStyle": "white",
				"navigationBarBackgroundColor": "#FF9447",
				"navigationBarTitleText": "积分授权",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/my-points/my-points",
			"style": {
				"navigationBarTitleText": "积分资产",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/my-points/exchange",
			"style": {
				"navigationBarTitleText": "积分通兑",
				"enablePullDownRefresh": false
			}
		}, {
			"path": "pages/bill/bill-detail",
			"style": {
				"navigationBarTitleText": "账单详情",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/bill/my-bills",
			"style": {
				"navigationBarTitleText": "我的账单",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/bill/statistics",
			"style": {
				"navigationBarTitleText": "账单统计",
				"enablePullDownRefresh": false
			}

		}]
	}, {
		//tarbar下gain 代理的分包
		"root": "pagesB",
		"pages": [{
				"path": "pages/agent/agent",
				"style": {
					"navigationBarTitleText": "填写资料"
				}

			}, {
				"path": "pages/agent/pay",
				"style": {
					"navigationBarTitleText": "支付页面"
				}

			}, {
				"path": "pages/agent/promote",
				"style": {
					"navigationBarTitleText": "去推广"
				}

			}, {
				"path": "pages/agent/myPromote",
				"style": {
					"navigationBarTitleText": "我的推广"
				}

			}, {
				"path": "pages/agent/myIncome/myIncome",
				"style": {
					"navigationBarTitleText": "我的收益"
				}

			}, {
				"path": "pages/agent/myIncome/todayIncome",
				"style": {
					"navigationBarTitleText": "今日收益"
				}

			}, {
				"path": "pages/agent/myIncome/detail",
				"style": {
					"navigationBarTitleText": "收益详情"
				}

			}, {
				"path": "pages/agent/agentDetail",
				"style": {
					"navigationStyle": "custom",
					"navigationBarTitleText": ""
				}

			},
			{
				"path": "pages/agent/draw-poster",
				"style": {
					"navigationBarTitleText": "推广",
					"enablePullDownRefresh": false
				}

			}, {
				"path": "pages/shop-detail",
				"style": {
					"navigationBarTitleText": "商户详情",
					"enablePullDownRefresh": false
				}

			},
			{
				"path": "pages/withdraw/select-bank",
				"style": {
					"navigationBarTitleText": "选择银行卡",
					"enablePullDownRefresh": false
				}
			},
			{
				"path": "pages/withdraw/withdraw",
				"style": {
					"navigationBarTitleText": "提现",
					"enablePullDownRefresh": false
				}
			},
			{
				"path": "pages/userBank/userBank",
				"style": {
					"navigationBarTitleText": "我的银行卡",
					"enablePullDownRefresh": false
				}
			},
			{
				"path": "pages/userBank/add",
				"style": {
					"navigationBarTitleText": "我的银行卡",
					"enablePullDownRefresh": false
				}
			}, {
				"path": "pages/withdraw/records",
				"style": {
					"navigationBarTitleText": "提现记录",
					"enablePullDownRefresh": false
				}

			}
		]
	}, {
		//支付特定包，扫码支付，付款码支付
		"root": "pagesC/",
		"pages": [{
			"path": "pages/checkstand/index",
			"style": {
				"navigationStyle": "custom",
				"navigationBarTitleText": "收银台",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/checkstand/order-res",
			"style": {
				"navigationBarTitleText": "支付结果",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/checkstand/pay-qrcode",
			"style": {
				"navigationBarTitleText": "付款码",
				"navigationBarTextStyle": "white",
				"navigationBarBackgroundColor": "#18b566",
				"enablePullDownRefresh": false
			}
		}, {
			"path": "pages/checkstand/pay-result",
			"style": {
				"navigationStyle": "custom",
				"navigationBarTitleText": "支付结果",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/checkstand/pay-qrcode1",
			"style": {
				"navigationBarTitleText": "付款码",
				"navigationBarTextStyle": "white",
				"navigationBarBackgroundColor": "#18b566",
				"enablePullDownRefresh": false
			}

		}]
	}, {
		//商品点餐包
		"root": "pagesD/",
		"pages": [{
			"path": "pages/menu/menu",
			"style": {
				"navigationBarTitleText": "菜单",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/address/address",
			"style": {
				"navigationBarTitleText": "地址",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/address/add",
			"style": {
				"navigationBarTitleText": "添加地址",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/pay/pay",
			"style": {
				"navigationBarTitleText": "付款",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/pay/remark",
			"style": {
				"navigationBarTitleText": "备注",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/take-order/take-order",
			"style": {
				"navigationBarTitleText": "订单详情",
				"enablePullDownRefresh": false
			}

		}, {
			"path": "pages/test",
			"style": {
				"navigationBarTitleText": "测试",
				"enablePullDownRefresh": false
			}

		}]
	}],
	"preloadRule": {
		"pages/gain/gain": {
			"network": "all",
			"packages": ["pagesB"]
		},
		"pages/mine/mine": {
			"network": "all",
			"packages": ["pagesA", "pagesC"]
		},
		"pages/consume/consume": {
			"network": "all",
			"packages": ["pagesD"]
		}
	},
	"tabBar": {
		"color": "#555555",
		"backgroundColor": "#FFFFFF",
		"borderStyle": "white",
		"selectedColor": "#222222",
		"list": [

			{
				"pagePath": "pages/mine/mine",
				"text": "我的",
				"selectedIconPath": "static/tarbar/mine1.png",
				"iconPath": "static/tarbar/mine.png"
			},
			{
				"pagePath": "pages/consume/consume",
				"text": "花积分",
				"selectedIconPath": "static/tarbar/consume-points1.png",
				"iconPath": "static/tarbar/consume-points.png"
			},
			{
				"pagePath": "pages/gain/gain",
				"text": "赚积分",
				"selectedIconPath": "static/tarbar/gain-points1.png",
				"iconPath": "static/tarbar/gain-points.png"
			}
		]
	},
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "联兑通",
		"navigationBarBackgroundColor": "#fff",
		"backgroundColor": "#fff"
	}
}
